# Heyform

* https://docs.heyform.net/open-source/self-hosting

# Install

Needs docker

```
sudo apt install docker docker-compose
```

Set up a `docker-compose.yml` file:

```
networks:
  keydb:
  mongo:

services:
  heyform:
    image: heyform/community-edition:latest
    restart: always
    volumes:
      # Persist uploaded images
      - ./assets:/app/static/upload
    depends_on:
      - mongo
      - keydb
    ports:
      - '9513:8000'
    environment:
      APP_HOMEPAGE_URL: http://form.yourcompany.com
      SESSION_KEY: key1
      FORM_ENCRYPTION_KEY: key2
      MONGO_URI: 'mongodb://mongo:27017/heyform'
      REDIS_HOST: keydb
      REDIS_PORT: 6379

  mongo:
    image: percona/percona-server-mongodb:4.4
    restart: always
    volumes:
      # Persist MongoDB data
      - ./database:/data/db

  keydb:
    image: eqalpha/keydb:latest
    restart: always
    command: keydb-server --appendonly yes
    volumes:
      # Persist KeyDB data
      - ./keydb:/data
```

Then run thing:

```
docker-compose up -d
```

# Or install

* https://docs.heyform.net/open-source/local-development


